* {
    box-sizing: border-box;
    position: relative;
    padding: 0;
    margin: 0;
}

iframe {
    border: none;
}

body {
    width: 100vw;
    height: 100vh;
    color: #fff;
    font-size: 3.50vw;
}

select {
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
}

.center {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.top_center {
    top: 50%;
    transform: translateY(-50%);

}

.default_bg {
    background-image: linear-gradient(to right, #1c3f52, #408197);
}



#loading {
    width: 100%;
    height: 100%;
    position: absolute;
    left: 50%;
    top: 50%;
    background: rgba(0, 0, 0, 0.6);
    transform: translate(-50%, -50%);
    border-radius: 5px;
}

#loading img {
    width: 8%;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

#tv,
#userPage {
    position: absolute;
    display: none;
    width: 100%;
    height: 100%;
    z-index: 1;
    top: 0;
}
#tv{
    position: fixed;
}

#userPage {
    z-index: 2;
    display: block;
    border: none;
}

.window {
    position: fixed;
    top: 0;
    display: none;
    width: 100vw;
    height: 100vh;
    z-index: 2;
}

.window_header {
    width: 100vw;
    height: 16.93vw;
    line-height: 16.93vw;
    color: #fff;
}

.window_title {
    height: 100%;
    text-align: center;
}

.window_content {
    height: 91vh;
    width: 100vw;
}

.user_close {
    width: 4.93vw;
    height: 4.93vw;
}

.right_icon {
    position: absolute;
    right: 5vw;
    top: 50%;
    transform: translateY(-50%);
}

@media screen and (orientation: landscape) {

    /* 横屏 */
    body {
        width: 100vw;
        height: 100vh;
        color: #fff;
        font-size: 3.50vh;
    }

    select {
        appearance: none;
        -moz-appearance: none;
        -webkit-appearance: none;
    }

    .center {
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    .top_center {
        top: 50%;
        transform: translateY(-50%);

    }

    .default_bg {
        background-image: linear-gradient(to right, #1c3f52, #408197);
    }

    #loading {
        width: 100%;
        height: 100%;
        position: absolute;
        left: 50%;
        top: 50%;
        background: rgba(0, 0, 0, 0.6);
        transform: translate(-50%, -50%);
        border-radius: 5px;
    }

    #loading img {
        width: 8%;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
    }

    #userPage {
        position: absolute;
        display: none;
        width: 50vw;
        height: 100%;
        z-index: 1;
    }

    #tv {
        width: 100vw;
        height: 100vh;
    }

    #userPage {
        z-index: 2;
        display: block;
        border: none;
    }


    .right_icon {
        position: absolute;
        right: 5vh;
        right: 5vh;
        top: 50%;
        transform: translateY(-50%);
    }

    .window {
        display: none;
        width: 50vw;
        height: 100vh;
        z-index: 2;
    }

    .window_header {
        width: 100%;
        height: 16.93vh;
        line-height: 16.93vh;
        color: #fff;
    }

    .window_title {
        height: 100%;
        text-align: center;
    }

    .window_content {
        height: 91vh;
        width: 100%;
    }

    .user_close {
        width: 4.93vh;
        height: 4.93vh;
    }

}
